/* Seamless3d
Copyright (C) 2001-2006 Graham John Perrett (AKA thyme) thyme@seamless3d.com www.seamless3d.com

Permission is hereby granted, free of charge, to any person obtaining a copy of this
software and associated documentation files (the "Software"), to deal in the Software
without restriction, including without limitation the rights to use, copy, modify,
merge, publish, distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to the following
conditions:

The above copyright notice and this permission notice shall be included in all copies or
substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT
OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.
*/



















const char* langExtension="";

const char* tip_toggleWireframe="toggle wireframe mode";
const char* tip_resetViewPosition="reset view position (Numpad 5)";
const char* tip_resetViewOrientation="reset view orientation (,)";
const char* tip_centerViewToControlPoint="center view to selected control point (o)";
const char* tip_centerViewToPivotPoint="center view to pivot point (Alt NumPad 0)";
const char* tip_findThinTriangle="find thin triangle (Alt F)";
const char* tip_join_vertex_keep_both_colors="join selected vertex to nearest vertex, retain both vertices' color (Ctrl J)";
const char* tip_join_vertex_keep_dest_color="join selected vertex to nearest vertex, retain only the destination vertex's color (J)";
const char* tip_joinCloseVertices="join close vertices from copied part to slected part (Shift J)";
const char* tip_joinCloseVertecesForAllShownParts="join close vertices for all shown parts";
const char* tip_zeroToX="paste in zero to the selected vertex's X component (Alt X)";

const char* tip_build_sphere_for_selected_part="build sphere for selected part";
const char* tip_build_cylinder_for_selected_part="build cylinder for selected part";
const char* tip_build_cone_for_selected_part="build cone for selected part";
const char* tip_build_torus_for_selected_part="build torus for selected part";
const char* tip_build_bezier_lathe_for_selected_part="build bzier lathe for selected part";
const char* tip_build_box_for_selected_part="build box for selected part";
const char* tip_build_rectangle_for_selected_part="build rectangle for selected part";

const char* tip_undo="undo (Ctrl Z)";
const char* tip_redo="redo (Ctrl Y)";
const char* tip_reset_rotations="reset rotations in all parts (Alt R)";

const char* tip_new_smls_file="new smls file (Ctrl N)";
const char* tip_open_smls_file="open smls file (Ctrl O)";
const char* tip_open_smls_file_from_the_web="open smls file from the web";
const char* tip_save_smls_file="save smls file (Ctrl S)";
const char* tip_import_triangles_from_file_to_part="import triangles from file to part";
const char* tip_export_triangles_from_part_to_file="export triangles from part to file";
const char* tip_scene_tree_window="scene tree window (T)";
const char* tip_copy_vertex_part="copy vertex/part (Ctrl C)";
const char* tip_vertex_coord="vertex coord (Alt NumPad 4 6 2 8 3 9)";
const char* tip_vertex_color="vertex color (Ctrl [ ] ; ' . / )";
const char* tip_zoom="zoom ( - + )";
const char* tip_view_orientation="view orientation ([ ] ; ' . / )";
const char* tip_reset_view_orientation="reset view orientation (,)";
const char* tip_view_orientation_at_right_angle="offset view orientation at a right angle (1 2 3 4 5 6)";
const char* tip_view_position="view position (NumPad 4 6 2 8 3 9)";
const char* tip_move_pivot_point="move pivot point";
const char* tip_compile_Part_and_its_decendents_scale_and_rotation_fields="compile Part and it's decendents scale and rotation fields";
const char* tip_toggle_perspective="toggle perspective";
const char* tip_help="help (F1)";

const char* tip_break_coord_join="break coord join (B)";
const char* tip_delete_selected_triangle="delete selected triangle";
const char* tip_delete_triangles_down_from_selected_vertex="delete triangles down from selected vertex (Shif D)";
const char* tip_delete_triangles_left_from_selected_vertex="delete triangles left from selected vertex (Shif L)";
const char* tip_join_colors_in_vertices_that_equal_the_same_color_and_whose_coords_are_joined="join colors in vertices that equal the same color and whose coords are joined";
const char* tip_paste_copied_color_to_selected_vertex="paste copied color to selected vertex (C)";
const char* tip_paste_copied_color_to_part="paste copied color to part (Alt C)";

const char* tip_paste_ownership_from_copied_part_into_the_selected_vertex="paste ownership from copied part into the selected vertex";
const char* tip_paste_triangles_from_the_copied_part_in_X_mirrored_form_into_the_selected_part="paste triangles from the copied part in X mirrored form into the selected part";
const char* tip_add_triangles_from_the_copied_part_in_X_mirrored_form_to_the_selected_part="add triangles from the copied part in X mirrored form to the selected part";
const char* tip_swap_triangle_divide_between_the_copied_and_selected_triangles="swap triangle divide at the slected edge (D)";
const char* tip_mirror_triangle="create new triangle from the selected edge (between the red & green dots) (M)";
const char* tip_split_triangle_between_the_vertices_marked_by_the_red_and_green_dots="split triangle between the vertices marked by the red and green dots (S)";
const char* tip_add_a_ColorSweep_for_selected_parts="add a ColorSweep for selected parts";
const char* tip_copy_upper_selected_parts_to_lower_selected_parts="copy upper selected parts to lower selected parts";
const char* tip_place_selected_parts="place selected part/s";
const char* tip_swap_vertexs_index_order_with_previous_next="swap vertex's index order with previous/next (U I)";
const char* tip_select_previous_next_vertex_in_index_order="select previous/next vertex in index order (F3 F4)";
const char* tip_select_previous_next_triangle_that_shares_the_selected_vertex="select previous/next triangle that shares the selected vertex (W E)";
const char* tip_select_previous_next_corner_in_triangle="select previous/next corner in triangle (F7 F8)";
const char* tip_toggle_background_color="toggle background color (Ctrl B)";

const char* tip_scroll_up_a_line="scroll up a line";
const char* tip_scroll_down_a_line="scroll down a line";
const char* tip_scroll_up_a_page="scroll up a page (page up)";
const char* tip_scroll_down_a_page="scroll down a page (page down)";
const char* tip_drag_to_scroll="drag to scroll (mouse wheel)";
const char* tip_close_scene_tree_window="close scene tree window";

const char* tip_cCLathe_curve = "difference of the curve from beginning to end for the segment in radians";
const char* tip_cCLathe_distance = "distance of the curve for the segment";
const char* tip_cCLathe_baseRad = "base radius (where the curve begins)";
const char* tip_cCLathe_autoClose = "calulate curve and distance fields for the last segment to end like a sphere";
const char* tip_stem_slide = "translate poly map";
const char* tip_stem_orientation = "rotate poly map after slide";
const char* tip_stem_staves = "number of vertical triangle strips";
const char* tip_stem_xDistance = "width of poly map";
const char* tip_stem_bands = "number of horizontal triangle strips for the segment";
const char* tip_stem_yDistance = "segment's vertical distance (in the poly map)";
const char* tip_stem_height = "segment's distance from its top to the base of the poly map";
const char* tip_stem_sync = "synchronise bands with segment distances from BezierLathe, CCLathe, ECLathe or ECSyncBend instead of the Stem's yDistance";
const char* tip_stem_mould = "mould triangles into shape defined by the NurbsPatch or SurfaceGenerator";
const char* tip_stem_insideOut = "swap visible side of triangles";
const char* tip_stem_joinEnds = "join left side vertices to the right side";
const char* tip_stem_endSP = "end with single vertex point";
const char* tip_stem_beginSP = "begin with single vertex point";
const char* tip_rectangleBuild_staves = "number of vertical triangles strips";
const char* tip_rectangleBuild_bands = "number of horizontal triangle strips";
const char* tip_rectangleBuild_endSP = "end with single vertex point";
const char* tip_rectangleBuild_beginSP = "begin with single vertex point";

const char* menu_help="help";
const char* menu_tutorials="seamless3d.com/tut (tutorials) (F1)";
const char* menu_about_seamless3d="about seamless3d";
const char* menu_beeline_anim_demo="beeline to animation demo";
const char* menu_poly_radial_tug_demo="poly radial tug demo";
const char* menu_nurbs_lathe_avatar_demo = "nurbs lathe avatar demo";
const char* menu_fuse_surface_avatar_demo = "fuse-surface avatar demo";
const char* menu_switch_anim_in_3d_demo="switch anim in 3d demo";
const char* menu_branch_join_avatar_demo="branch join avatar demo";
const char* menu_worm_animation_demo="worm animation demo";
const char* menu_textured_object_demo="textured object demo";
const char* menu_immediate_avatar_demo = "immediate avatar demo";
const char* menu_bring_static_model_to_life_demo="bring static model to life demo";

const char* menu_file="file";
const char* menu_save="save    (Ctrl S)";
const char* menu_save_as="save as (Ctrl A)";
const char* menu_open="open    (Ctrl O)";
const char* menu_new="new     (Ctrl N)";
const char* menu_open_from_web="open from web";
const char* menu_import_to_Part="to Part ";
const char* menu_export_from_Part="from Part ";
const char* menu_import_bxx_av_studio = "bxx studio";

const char* menu_toggle_background_color="toggle background color (Ctrl B)";
const char* menu_perspective="perspective";
const char* menu_copy="copy (Ctrl C)";
const char* menu_paste="paste";
const char* menu_coord="coord";
const char* menu_join_move="join/move";
const char* menu_move_vertex="move vertex (Alt M)";
const char* menu_mirrorX="mirrorX (F)";
const char* menu_join_vertex_keep_dest_color="join vertex keep destination color (J)";
const char* menu_join_vertex_keep_both_colors="join vertex keep both colors (Ctrl J)";
const char* menu_join_vertex_keep_source_color="join vertex keep source color (Alt J)";
const char* menu_copy_poly_map_to_source="store generated poly map";
const char* menu_set_x_to_zero="set vertex's x to zero   (Alt X)";
const char* menu_color="color";
const char* menu_vertexColor="vertex (C)";
const char* menu_join="join   (J)";
const char* menu_join_matching_in_all_parts="join matching in all parts";
const char* menu_triangleColor="triangle   (K)";
const char* menu_partColor="part   (Alt C)";
const char* menu_vertices_colored="vertices colored (Ctrl H)";
const char* menu_vertices_in_all_parts_colored="vertices in all parts colored";
const char* menu_ownership="ownership";
const char* menu_vertexOwnership="vertex (Alt O)";
const char* menu_part="part";
const char* menu_close_vertices="close vertices";
const char* menu_close_vertices_then_join="close vertices then join (Shift J)";
const char* menu_part_mirrorX="part mirrorX";
const char* menu_part_mirrorY="part mirrorY";
const char* menu_part_mirrorZ="part mirrorZ";
const char* menu_add_part="add part";
const char* menu_add_part_mirrorX="add part mirrorX (Shift X)";
const char* menu_add_part_mirrorY="add part mirrorY (Shift Y)";
const char* menu_add_part_mirrorZ="add part mirrorZ (Shift Z)";
const char* menu_immediate_triangle_for_selected_part="immediate triangle for selected part (Shift 3)";
const char* menu_scene_tree="scene tree (T)";
const char* menu_open_scene_tree="open scene tree";
const char* menu_reset_view_position_and_orientation="reset view position and orientation (Esc)";
const char* menu_cursor_view_control="cursor/view control";

const char* menu_break_join="break";
const char* menu_break_coord="coord (B)";
const char* menu_break_color="color (Alt B)";
const char* menu_delete="delete";
const char* menu_vertex="vertex";
const char* menu_triangleDelete="triangle (Delete)";
const char* menu_triangles_right_from_selected_coord="triangles right from selected coord (Shift R)";
const char* menu_triangles_left_from_selected_coord="triangles left  from selected coord (Shift L)";
const char* menu_triangles_up_from_selected_coord="triangles up    from selected coord (Shift U)";
const char* menu_triangles_down_from_selected_coord="triangles down  from selected coord (Shift D)";
const char* menu_layered="layered (hidden) (Alt L)";
const char* menu_all_triangles_in_part="all triangles in part";
const char* menu_mirror_triangle="mirror triangle (M)";
const char* menu_split_triangle="split  triangle (S)";
const char* menu_swap_triangle_divide="swap triangle divide (D)";
const char* menu_compile_transform="compile transform";
const char* menu_scale="scale";
const char* menu_scale_rotation="scale rotation";
const char* menu_scale_rotation_translation="scale rotation translation";
const char* menu_inside_out="inside out (Ctrl I)";
const char* menu_do_build="do build (F9)";
const char* menu_settings="settings (Shift 0)";
const char* menu_reset_rotations="reset rotations(Alt R)";

const char* menu_element="element";
const char* menu_short_copy="copy (Ctrl C)";
const char* menu_insert_before="insert before";
const char* menu_copy_of="copy of";
const char* menu_move="move";
const char* menu_replace="replace";
const char* menu_insert_after="insert after";

const char* menu_beam_to="beam to";
const char* menu_import="import";
const char* menu_export="export";
const char* menu_shape_to_file="shape to file";
const char* menu_shape_from_file="shape from file";
const char* menu_IndexedFaceSet_from_file="IndexedFaceSet from file";
const char* menu_convertToSeamless="convertToSeamless";
const char* menu_convertToAnim="convertToAnim";
const char* menu_convert="convert";
const char* menu_optimize="optimize";
const char* menu_calculate_acceleration_for_return="calculate acceleration for return";
const char* menu_stretchCurve="stretchCurve";
const char* menu_undo_IS="undo IS";
const char* menu_delete_this_ROUTE="delete this ROUTE";
const char* menu_sibling_above="sibling above";
const char* menu_sibling_below="sibling below";
const char* menu_Anim_nodes_from_file="anim nodes";
const char* menu_all_nodes_from_file="all nodes to scene";
const char* menu_Build_nodes_from_file="patches/build nodes to model";
const char* menu_fast_build="fast build";
const char* menu_full_build="full build";
const char* menu_convert_all="convert all";
const char* menu_show_descendants="show & descendants";

const char* Create_a_New_Seamless_File="Create a new seamless file";
const char* Create_Skeleton_of_Parts="Create a skeleton of parts";
const char* Add_a_Group="Add a Group";
const char* Build_the_Pelvis="Build the pelvis";
const char* Add_a_pink_group="Add a pink group";
const char* Build_the_Left_Eye="Build the left eye";
const char* Copy_the_Left_Eye_to_the_Right="Copy the left eye to the right";
const char* Build_the_Neck="Build the neck";
const char* Build_the_Head="Build the head";
const char* Add_a_Cream_Group="Add a cream group";
const char* Build_the_Left_Wrist="Build the left wrist";
const char* Build_the_Left_Elbow="Build the left elbow";
const char* Build_the_Left_Shoulder="Build the left shoulder";
const char* Copy_the_Left_Arm_to_the_Right="Copy the left arm to the right";

const char* Add_a_Blue_Group="Add a blue group";
const char* Build_the_Left_Ankle="Build the left ankle";
const char* Build_the_Left_Knee="Build the left knee";
const char* Build_the_Left_Hip="Build the left hip";
const char* Copy_the_Left_Leg_to_the_Right="Copy the left leg to the right";
const char* Position_the_Limbs_and_Neck="Position the Limbs and Neck";
const char* Add_a_Green_Group="Add a Green Group";
const char* Place_the_Avatar_to_the_Floor="Place the Avatar to the Floor";
const char* Move_the_Pivot_Points="Move the pivot points";
const char* Move_the_Eye_Pivot_Points="Move the Eye Pivot Points";
const char* Move_the_Rest_of_the_Pivot_Points="Move the Rest of the Pivot Points";
const char* Add_a_Gesture_Group="Add a gesture group";
const char* Setup_Animation="Setup animation";
const char* Make_Another_Control_Panel="Make Another Control Panel";
const char* Record_the_poses="Record the poses";
const char* Build_the_Torso="Build the Torso";
const char* BranchJoin_the_Neck_to_the_Head_Surface="BranchJoin the Neck to the Head Surface";
const char* BranchJoin_the_Neck_to_the_Torso_Surface="BranchJoin the Neck to the Torso Surface";
const char* Build_the_Left_Arm="Build the Left Arm";
const char* Build_the_Left_Palm="Build the Left Palm";
const char* BranchJoin_the_Arm_to_the_Palm_Surface="BranchJoin the Arm to the Palm Surface";
const char* BranchJoin_the_Arm_to_the_Torso_Surface="BranchJoin the Arm to the Torso Surface";
const char* Build_the_Left_Leg="Build the Left Leg";
const char* Build_the_Left_Foot="Build the Left Foot";
const char* BranchJoin_the_Leg_to_the_Foot_Surface="BranchJoin the Leg to the Foot Surface";
const char* BranchJoin_the_Leg_to_the_Torso_Surface="BranchJoin the Leg to the Torso Surface";
const char* Replace_the_ColoreEffect_with_a_TextureEffect="Replace the ColoreEffect with a TextureEffect";
const char* Add_a_Stem_Node_to_the_Seamless_Node="Add a Stem Node to the Seamless Node";
const char* Add_a_TextureMapper_Node_to_the_Stem_Node="Add a TextureMapper Node to the Stem Node";
const char* Add_a_Surface_to_the_Stem="Add a Surface to the Stem";
const char* Increase_the_Number_of_Triangles="Increase the Number of Triangles";
const char* Shape_the_Triangles="Shape the Triangles";
const char* Map_the_Whole_Texture_to_The_Triangles="Map the Whole Texture to The Triangles";
const char* Map_Only_the_Lower_Left_Quarter_of_the_Texture="Map Only the Lower Left Quarter of the Texture";
const char* Map_Only_the_Lower_Left_16th_of_the_Texture="Map Only the Lower Left 16th of the Texture";
const char* Map_a_Different_16th_of_the_Texture="Map a Different 16th of the Texture";
const char* Map_2_16ths_of_the_Texture="Map 2 16ths of the Texture";
const char* Map_the_Top_Right_Quarter_of_the_Texture="Map the Top Right Quarter of the Texture";
const char* Build_the_Triangles="Build the Triangles";
const char* Transfer_ownership_to_the_rest_of_the_parts="Transfer ownership to the rest of the parts";
const char* Colour_the_parts="Colour the parts";
const char* Add_anim_bar="Add anim bar";
const char* dt_Build_a_Cone="Build a Cone";
const char* dt_Set_Second_Pose="Set Second Pose";
const char* dt_Copy_First_Pose_and_Paste_to_Last_Pose="Copy First Pose and Paste to Last Pose";
const char* dt_Move_cones_pivot_point_Up="Move cone's pivot point Up";
const char* dt_Move_cone_as_a_Child_of_cylinder="Move cone as a Child of cylinder";
const char* Animate_Position="Animate Position";
const char* dt_Create_a_Bxx_Av_PROTO_by_Adding_a_GestureGroup="Create a Bxx Av PROTO by Adding a GestureGroup";
const char* dt_Animate_cylinder="Animate cylinder";
const char* dt_Set_First_Pose="Set First Pose";
const char* dt_Build_a_Cylinder="Build a Cylinder";
const char* dt_Move_cone_Up="Move cone Up";
const char* Complete="Complete";
const char* Import_Static_Model_Into_a_Part="Import Static Model into a Blue Part";
const char* Import_Empty_Skeleton_Of_Parts="Import Empty Skeleton Of Parts";
const char* Replace_ColorEffect_with_TextureEffect="Replace ColorEffect with TextureEffect";
const char* Copy_All_of_the_Triangles_to_the_Pelvis="Copy All of the Triangles to the Pelvis";
const char* Zoom_in_View_to_l_shoulder="Zoom in View to l_shoulder";
const char* Transfer_from_pelvis_to_1st_group_for_shoulder="Transfer from pelvis to 1st group for shoulder";
const char* Transfer_from_pelvis_to_2nd_group_for_shoulder="Transfer from pelvis to 2nd group for shoulder";
const char* Transfer_Vertices_from_pelvis_to_rest_of_shoulder="Transfer Vertices from pelvis to rest of shoulder";
const char* Transfer_from_pelvis_to_1st_group_for_l_elbow="Transfer from pelvis to 1st group for l_elbow";
const char* Transfer_from_pelvis_to_2nd_group_for_l_elbow="Transfer from pelvis to 2nd group for l_elbow";
const char* Transfer_Vertices_from_pelvis_to_rest_of_l_elbow="Transfer Vertices from pelvis to rest of l_elbow";
const char* Transfer_from_pelvis_to_1st_group_for_l_wrist="Transfer from pelvis to 1st group for l_wrist";
const char* Transfer_Vertices_from_pelvis_to_rest_of_l_wrist="Transfer Vertices from pelvis to rest of l_wrist";
const char* Transfer_Vertices_for_the_Right_Arm="Transfer Vertices for the Right Arm";
const char* Transfer_pelvis_to_1st_group_for_l_hip="Transfer pelvis to 1st group for l_hip";
const char* Transfer_from_pelvis_to_2nd_group_for_l_hip="Transfer from pelvis to 2nd group for l_hip";
const char* Transfer_Vertices_from_pelvis_to_rest_of_l_hip="Transfer Vertices from pelvis to rest of l_hip";
const char* Transfer_from_pelvis_to_1st_group_for_l_knee="Transfer from pelvis to 1st group for l_knee";
const char* Transfer_from_pelvis_to_2nd_group_for_l_knee="Transfer from pelvis to 2nd group for l_knee";
const char* Transfer_Vertices_from_pelvis_to_rest_of_l_knee="Transfer Vertices from pelvis to rest of l_knee";
const char* Transfer_from_pelvis_to_1st_group_for_l_ankle="Transfer from pelvis to 1st group for l_ankle";
const char* Transfer_Vertices_from_pelvis_to_rest_of_l_ankle="Transfer Vertices from pelvis to rest of l_ankle";
const char* Transfer_Vertices_for_the_Right_Leg="Transfer Vertices for the Right Leg";
const char* Transfer_pelvis_to_tummy0="Transfer pelvis to tummy0";
const char* Transfer_pelvis_to_tummy1="Transfer pelvis to tummy1";
const char* Transfer_pelvis_to_thorax="Transfer pelvis to thorax";
const char* Transfer_pelvis_to_neck0="Transfer pelvis to neck0";
const char* Transfer_pelvis_to_neck1="Transfer pelvis to neck1";
const char* Transfer_pelvis_to_head="Transfer pelvis to head";

const char* Import_Mirrored_Empty_Skeleton="Import mirrored empty skeleton"; 
const char* Import_background_guid="Import background guide";
const char* Make_Edge_Vertices_Bright_Red="Make edge vertices bright red";
const char* Build_Leg_Rings="Build leg rings";
const char* Build_Torso_Neck_Head_Rings="Build torso, neck & head rings";
const char* Set_Leg_Staves_to_14="Set leg staves to 14";
const char* Align_Pelvis_Rings_to_Hip="Align pelvis rings to hip";
const char* Round_Pelvis_Base="Round pelvis base";
const char* Match_Hip_Tangent_to_Pelvis="Match hip tangent to pelvis";
const char* Build_Arm_Rings="Build arm rings";
const char* Widen_Arm_Base_Rings="Widen arm base rings";
const char* Build_Index_Finger_Rings="Build index finger rings";
const char* Build_Middle_Finger_Rings="Build middle finger rings";
const char* Build_Ring_Finger_Rings="Build ring finger rings";
const char* Build_Pinky_Finger_Rings="Build pinky finger rings";
const char* Build_Thumb_Rings="Build thumb rings";
const char* Build_Breast_Rings="Build breast rings";
const char* Build_Mouth_Rings="Build mouth rings";
const char* Build_Nose_Rings="Build nose rings";
const char* Build_Eye_Crater_Rings="Build eye crater rings";
const char* Specify_Ownership_for_Torso_Neck_Head="Specify ownership for torso, neck & head";
const char* Verify_Ownership_A="Verify ownership A";
const char* Verify_Ownership_B="Verify ownership B";
const char* Specify_Ownership_for_Leg="Specify ownership for leg";
const char* Specify_Ownership_for_Arm="Specify ownership for arm";
const char* Specify_Ownership_for_Index_Finger="Specify ownership for index finger";
const char* Specify_Ownership_for_Middle_Finger="Specify ownership for middle finger";
const char* Specify_Ownership_for_Ring_Finger="Specify ownership for ring finger";
const char* Specify_Ownership_for_Pinky_Finger="Specify ownership for pinky finger";
const char* Specify_Ownership_for_Thumb="Specify ownership for thumb";
const char* Convert_White_Parts_to_Blue="Convert white parts to blue";
const char* Remove_background_guide="Remove background guide";
const char* Delete_Pelvis_Triangles_for_Hip="Delete pelvis triangles for hip";
const char* Join_Vertex="Join vertex";
const char* Continue_to_Join_Hip_to_Pelvis="Continue to join hip to pelvis";
const char* Quick_Triangle="Quick triangle";
const char* Split_Triangle="Split triangle";
const char* Continueto_Join_Hip_to_Pelvis="Continue to join hip to pelvis";
const char* Delete_Left_Half_of_Pelvis="Delete left half of pelvis";
const char* Create_Bikini_Bottom="Create bikini bottom";
const char* Swap_Triangle_Divide="Swap triangle divide";
const char* Paint_Bikini_Bottom="Paint bikini bottom";
const char* Add_Extra_Triangle_Row_for_Bottom="Add extra triangle row for bottom";
const char* Continue_to_Create_Bikini_Bottom="Continue to create bikini bottom";
const char* Refine_Leg_Join="Refine leg join";
const char* Mould_Breast_to_Thorax_Surface="Mould breast to thorax surface";
const char* Delete_Thorax_Triangles_for_Breast="Delete thorax triangles for breast";
const char* Join_Breast_to_Thorax="Join breast to thorax";
const char* Mould_Shoulder_to_Thorax="Mould shoulder to thorax";
const char* Delete_Thorax_Triangles_for_Shoulder_Join="Delete thorax triangles for shoulder join";
const char* Join_Shoulder_to_Thorax="Join shoulder to thorax";
const char* Create_Bikini_Top="Create bikini top";
const char* Check_Fix_Ownership_Strays="Check & fix ownership strays";
const char* Smooth_Out_Breast_Join="Smooth out breast join";
const char* Color_Skin_for_All_Parts="Color skin for all parts";
const char* Copy_Left_Side_to_Right_Side="Copy left side to right side";
const char* Join_Broken_Vertices="Join broken vertices";
const char* Remove_Unwanted_Creases="Remove unwanted creases";
const char* Set_Vertex_Weights="Set vertex weights";
const char* Square_Head="Square head";
const char* Colour_Lips="Colour lips";
const char* Soften_Lip_Border="Soften lip border";
const char* Project_Mouth_on_to_Head_Surface="Project mouth on to head surface";
const char* Project_Nose_on_to_Head_Surface="Project nose on to head surface";
const char* Project_Eye_Crater_on_to_Head_Surface="Project eye crater on to head surface";
const char* Trim_Join_Face="Trim & join face";
const char* Tug_Mouth_Front_View="Tug mouth, front view";
const char* Refine_Triangle_Structure_for_Face="Refine triangle structure for face";
const char* Insert_Eyebrow="Insert eyebrow";
const char* Mirror_Right_Side_of_Head="Mirror right side of head";
const char* Join_Head="Join head";
const char* Join_Mid_Mouth_Vertices="Join mid mouth vertices";
const char* Sink_In_Eye_Crater="Sink in eye crater";
const char* Repair_Eye_Crater_Front_View="Repair eye crater, front view";
const char* Project_Inner_Most_Ring_on_to_Eyeball="Project inner most ring on to eyeball";
const char* Tug_Mouth_Side_View="Tug mouth, side view";
const char* Tug_Mouth_Near_Front_View="Tug mouth, near front view";
const char* Tug_Mouth_Near_Side_View="Tug mouth, near side view";
const char* Work_More_on_Eye_Craters="Work more on eye craters";
const char* Tug_Upper_Head_Near_Side_View="Tug upper head, near side view";
const char* Tug_Upper_Head_Near_Front_View="Tug upper head, near front view";
const char* Tug_Upper_Head_Front_View="Tug upper head, front view";
const char* Tug_Upper_Head_Side_View="Tug upper head, side view";
const char* Tug_Chin="Tug chin";
const char* Tug_Chin_Complementary_View="Tug chin, complementary view";
const char* Add_Eye_Liner="Add eye liner";
const char* Prevent_Eyeballs_Popping_Out_of_Head="Prevent eyeballs popping out of head";
const char* Add_Blush_to_Cheeks="Add blush to cheeks";
const char* Import_Hair="Import hair";
const char* Import_Shoe="Import shoe";
const char* Paint_Shoe_Straps="Paint shoe straps";
const char* Attach_Strap_to_Sole="Attach strap to sole";
const char* Copy_Left_Foot_to_Right="Copy left foot to right";
const char* Build_Belly_Button_Rings="Build belly button rings";
const char* Paste_tummy0_Ownership_into_Belly_Button="Paste tummy0 ownership into belly button";
const char* Paste_pelvis_Ownership_into_Lower_Vertices="Paste pelvis ownership into lower vertices";
const char* Paste_tummy1_Ownership_into_Higher_Vertices="Paste tummy1 ownership into higher vertices";
const char* Mirror_Right_Side_of_Tummy="Mirror right side of tummy";

const char* Build_a_Sphere="Build a Sphere";
const char* Build_a_box="Build a box";
const char* Convert_White_Part_to_Blue="Convert white part to blue";
const char* Setup_Mirror_Editing="Setup mirror editing";
const char* Mirror_Triangle_Structure="Mirror triangle structure";
const char* Tug_Ears_and_Nose="Tug ears & nose";

const char* name_pelvis="pelvis";
const char* name_neck="neck";
const char* name_head=	"head";
const char* name_l_eyeball="l_eyeball";
const char* name_r_eyeball="r_eyeball";

const char* name_l_collar="l_collar";
const char* name_l_shoulder="l_shoulder";
const char* name_l_elbow="l_elbow";
const char* name_l_wrist="l_wrist";

const char* name_r_shoulder="r_shoulder";
const char* name_r_elbow="r_elbow";
const char* name_r_wrist="r_wrist";

const char* name_l_hip="l_hip";
const char* name_l_knee="l_knee";
const char* name_l_ankle="l_ankle";

const char* name_r_hip="r_hip";
const char* name_r_knee="r_knee";
const char* name_r_ankle="r_ankle";

const char* name_tummy0="tummy0";
const char* name_tummy1="tummy1";
const char* name_tummy2="tummy2";
const char* name_thorax="thorax";
const char* name_neck0="neck0";
const char* name_neck1="neck1";
const char* name_hair="hair";
const char* name_mouth="mouth";
const char* name_torsoSurface="torsoSurface";
const char* name_headSurface="headSurface";
const char* name_palmSurface="palmSurface";
const char* name_footSurface="footSurface";
const char* name_front_view="front_view";
const char* name_left_view="left_view";
const char* name_right_view="right_view";
const char* name_back_view="back_view";
const char* name_birds_eye_view="birds_eye_view";
const char* name_worms_eye_view="worms_eye_view";
const char* name_showcase_view="showcase_view";
const char* name_floor="floor";
const char* name_ruller="ruller";
	
const char* msg_not_a_movie="*Warning this is not a movie, the mouse clicks and keyboard presses are for real!\n\nTyping while the demo is running may cause a crash. Popups from other programs may also cause a crash.\nIf a crash happens while a key is held down by the robot, the key may need to be pressed manually to restore it.\nMoveing the mouse while the demo is not waiting stops the operation.";
const char* msg_needPartOrCenterJoint="A Part, TransferOwnership, TransferBCyl or CenterJoint node must be selected for this command";
const char* msg_needPartOrBezier="A Part or Bzier node type must be selected for this command";
const char* msg_centerJointHasNoRef="The CenterJoint you have selected does not reference a part node";
const char* msg_needPart="A Part node must be selected for this command";
const char* msg_needWhitePart="A *white* Part node must be selected for this command";
const char* msg_needBluePart="An immediate *blue* Part node must be selected for this command";
const char* msg_needPartOrSmls="A Part node or a Seamless node must be selected for this command";
const char* msg_needPartCopied="A Part node must be copied (Ctrl+C or R) for this command";
const char* msg_needPartOrMorpher="A Part or Morpher node must be selected for this command";
const char* msg_reverse_operation="\
Pasting close vertices from a copied part that is higher in the scene tree to the\n\
selected part is not allowed in order to prevent parts from loosing triangle ownership\n\n\
Reverse operation by pasting vertices from the selected part to copied part instead?";
const char* msg_vertex_belongs_to_only_one="This vertex belongs to only one triangle so can not break away";
const char* msg_divideMessage="In order for it to be logical to have an alternitive to where the 2 triangles divide, ";
const char* msg_one_tri_must_exist="one of the triangles must exist";
const char* msg_both_tri_must_not_be_same="both triangles can not be the same triangle";
const char* msg_both_tri_can_not_shar_3_points="both triangles can not share 3 points";
const char* msg_both_tri_must_share_2_points="both triangles must share 2 points to begin with";
const char* msg_num_of_sel_must_be_more_than_one="The number of selected parts must be more than one for this command.\nTo select more than one part, hold down Shift and press the Arrow Down key";
const char* msg_num_of_sel_must_be_even="The number of selected parts must be even for this command";
const char* msg_canNot_delete_used_else_where="Can not delete Part/s, USEd elsewhere.\nMust delete all references first before Part/s can be deleted";
const char* msg_screen_res_must_be="Desk top resolution must be at least 1024 by 768 pixels for this demo";
const char* msg_3d_win_res_must_be="The 3D window must be at least 1000 by 720 pixels for this demo";
const char* msg_can_not_unfix_first_or_last_control_point="you can not unfix a control point that is the first or last control point";

const char* msg_unable_to_decode_script="unable to decode script";
const char* msg_wont_use="Won't USE ";
const char* msg_because_of_node_type_for_field=" because this type of node can not be used for this field!";
const char* msg_Wont_DEFine_node_as="Won't DEFine node as ";
const char* msg_because_node_name_exists=" because a node DEFined with this name already exists!\nAll DEFined names must be different";
const char* msg_Wont_set="Won't set ";
const char* msg_Wont_set_Node="Won't set node ";
const char* msg_blank_name_not_allowed=" to blank name (unDEFine) because this node is USEd! (referenced by some other node)";
const char* msg_blank_name_not_allowed_because_of_ROUTE=" to blank name (unDEFine) because this node has a field ROUTEd to ";
const char* msg_blank_name_not_allowed_because_of_ROUTE2=" to blank name (unDEFine) because this node has a field ROUTEd to it by ";
const char* msg_Can_not_create_output_file_name="Can not create output file name!";
const char* msg_cpp_file_already_exists="\nalready exists!\nDelete or rename this cpp file to use this command";
const char* msg_Identical_node_name_encountered="Identical node name encountered! Canceling operation!\nChange commonName field and try again";

const char* str_interupted="interupted";
const char* str_space="Space Bar ";
const char* str_l_alt="Left Alt ";
const char* str_l_ctrl="Left Ctrl ";
const char* str_l_shift="Left Shift ";
const char* str_r_alt="Right Alt ";
const char* str_r_ctrl="Right Ctrl ";
const char* str_r_shift="Right Shift ";
const char* str_arrow_down="Arrow Down";
const char* str_left_click="Left Click";
const char* str_double_click="Double Click";
const char* str_right_click="Right Click";
const char* str_left_drag="Left Drag";
const char* str_right_drag="Right Drag";
const char* str_done="done";
const char* str_complete="Complete";
const char* str_waiting="waiting: ";
const char* str_OK="OK";
const char* str_close_window="close this message window";
const char* str_renameLtoR="\br\n";

const char* title_scene_tree="Scene Tree";
const char* title_save_file_as="Save File As";
const char* title_message_from_thymes_code="message from thyme's code";
